Package groovy.swing.binding

# Class JComponentProperties

java.lang.Object
groovy.swing.binding.JComponentProperties

public class JComponentProperties extends Object

Since:
  Groovy 1.6
Author:
  Andres Almiray

## Constructor Summary

Constructors
Constructor
Description
`JComponentProperties()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,TriggerBinding>`
`getSyntheticProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JComponentProperties

public JComponentProperties()

## Method Details

### getSyntheticProperties

public static Map<String,TriggerBinding> getSyntheticProperties()